<?php

class CredibancoPaymentCallbackModuleFrontController extends ModuleFrontController
{

    public function initContent()
    {

        parent::initContent();


        if (Configuration::get('RBS_CREDIBANCO_STATE') != Configuration::get('RBS_CREDIBANCO_STATE_DEFAULT'))
        {

            $order_id = Tools::getValue('mdOrder');

            $curl_data = array('userName' => $this->module->getLogin(), 'password' => $this->module->getPassword(), 'orderId' => $order_id);

            $return_gate = $this->module->gateway('getOrderStatus'.$this->module->ext, $curl_data, $this->module->getLink(), $this->module->write_log);
            $response = $this->module->noCamelCase($return_gate);

            $id_order = Db::getInstance()->getValue('SELECT `id_order` FROM `'
                ._DB_PREFIX_.'credibanco_payment` WHERE `id_order` = \''.pSQL($response['ordernumber']).'\'');

            $order = new Order($id_order);

            if ($id_order && isset($response['orderstatus']) && ($response['orderstatus'] == 1 || $response['orderstatus'] == 2))
            {

                $this->module->logger("Case when change orderState (RBS_CREDIBANCO_STATE)\n");

                //if current != settings
                if ($order->current_state != (int)Configuration::get('RBS_CREDIBANCO_STATE')) {
                    $order->setCurrentState((int)Configuration::get('RBS_CREDIBANCO_STATE'));
                }
            }
            else {
                $this->module->logger("Case when change orderState (RBS_CREDIBANCO_STATE_ERROR)\n");
                $order->setCurrentState((int)Configuration::get('RBS_CREDIBANCO_STATE_ERROR'));
            }
        }
        exit;
    }
}