{capture name=path}
    <a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" title="{l s='Go back to the Checkout' mod='credibanco'}">
        {l s='Checkout' mod='credibanco'}</a>
    <span class="navigation-pipe">{$navigationPipe}</span>{l s='Online payment with CredibanCo' mod='credibanco'}
{/capture}

<!-- RESUMEN DEL PEDIDO -->
<h1 class="page-heading">{l s='Order summary' mod='credibanco'}</h1>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if $nbProducts <= 0}
    <p class="warning">{l s='Your shopping cart is empty.' mod='credibanco'}</p>
{else}

	<form action="{$link->getModuleLink('credibanco', 'validation')|escape:'quotes':'UTF-8'}" method="post">
		<div class="box cheque-box">
            <!-- Pago en linea con CredibanCo -->
            <h3 class="page-subheading">{l s='Online payment with CredibanCo' mod='credibanco'}</h3>
			<p class="cheque-indent">
				<img src="{$this_path|escape:'quotes':'UTF-8'}views/img/logo.png" alt="{l s='Online payment with CredibanCo' mod='credibanco'}" height="64" style="float:left; margin: 10px 10px 5px 0px;" />
				<br />
			<p style="margin-top:20px;">
				{l s='The total amount of your order is' mod='credibanco'}
				<span id="amount" class="price">{displayPrice price=$total}</span>
				{if $use_taxes == 1}
					{l s='(tax incl.)' mod='credibanco'}
				{/if}
			</p>

			<p>
				<br /><br />
				<strong>{l s='Please confirm your order by clicking "I confirm my order".' mod='credibanco'}</strong>
			</p>
		</div>
		<p class="cart_navigation clearfix" id="cart_navigation">
			<a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" class="button_large">
				<i class="icon-chevron-left"></i>{l s='Other payment methods' mod='credibanco'}
			</a>

			<input type="submit" value="{l s='I confirm my order' mod='credibanco'}" class="exclusive_large">
		</p>
	</form>
{/if}
